%define name libfwbuilder
%define version 2.0.8
%define release alt1

%define libname  %name
%define libgroup System/Libraries
%define devgroup Development/Other

Summary: Firewall Builder API
Name: %name
Version: %version
Release: %release
License: GPL2
Group: %libgroup
Url: http://www.fwbuilder.org/
Source: %name-%version.tar.gz
Packager: Valery Inozemtsev <shrek@altlinux.ru>
Obsoletes: fwbuilder-devel

# Automatically added by buildreq on Sat Jun 26 2004
BuildRequires: gcc-c++ hostinfo libnet-snmp-devel libqt3-devel libssl-devel libstdc++-devel libxml2-devel libxslt-devel net-snmp-utils zlib-devel bind-devel

%description
Firewall Builder API library and compiler framework

%package devel
Summary: Firewall Builder API Libraries and Header Files
Group: %devgroup
Requires: %name = %version
Provides: %name-devel = %version-%release
Obsoletes: fwbuilder-devel

%description devel
This package contains the libraries  and header files that programmer would
need to develop applications using Firewall Builder API.

%prep
%setup

%build
%configure \
	--enable-auto-docdir \
	--prefix=%prefix \
	--with-templatedir=%_datadir/%name \
	--with-lwres
%make_build

%install
%make INSTALL_ROOT=%buildroot install

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%doc doc/AUTHORS doc/COPYING doc/ChangeLog doc/Credits doc/INSTALL doc/README doc/PatchAcceptancePolicy.txt
%_datadir/%name
%_libdir/*.so.*

%files devel
%_bindir/libfwbuilder-config-2
%_includedir/fwb-2.0
%_libdir/*.so

%changelog
* Sun Jul 10 2005 Valery Inozemtsev <shrek@altlinux.ru> 2.0.8-alt1
- 2.0.8

* Sat May 14 2005 Valery Inozemtsev <shrek@altlinux.ru> 2.0.7-alt1
- 2.0.7

* Mon Feb 21 2005 Valery Inozemtsev <shrek@altlinux.ru> 2.0.6-alt1
- 2.0.6

* Mon Jan 17 2005 Valery Inozemtsev <shrek@altlinux.ru> 2.0.5-alt1
- 2.0.5

* Sat Dec 04 2004 Valery Inozemtsev <shrek@altlinux.ru> 2.0.4-alt1
- 2.0.4

* Fri Nov 12 2004 ALT QA Team Robot <qa-robot@altlinux.org> 2.0.3-alt1.1
- Removed libelf-devel from build dependencies.

* Sun Oct 03 2004 Valery Inozemtsev <shrek@altlinux.ru> 2.0.3-alt1
- 2.0.3

* Sat Sep 04 2004 Valery Inozemtsev <shrek@altlinux.ru> 2.0.2-alt1
- 2.0.2

* Fri Aug 13 2004 Valery Inozemtsev <shrek@altlinux.ru> 2.0.1-alt1
- bugfix release

* Thu Jul 29 2004 Valery Inozemtsev <shrek@altlinux.ru> 2.0.0-alt2
- 2.0.0 release

* Mon Jul 26 2004 Valery Inozemtsev <shrek@altlinux.ru> 2.0.0-alt1.20040726
- the latest nightly build 2004.07.25

* Sat Jul 03 2004 Valery Inozemtsev <shrek@altlinux.ru> 2.0.0-alt1.20040703
- the latest nightly build 2004.07.03

* Tue Jun 29 2004 Valery Inozemtsev <shrek@altlinux.ru> 2.0.0-alt1.20040629
- the latest nightly build 2004.06.29 

* Sat Jun 26 2004 Valery Inozemtsev <shrek@altlinux.ru> 2.0.0-alt1.20040625
- the latest nightly build 2004.06.25 

* Thu May 13 2004 Valery Inozemtsev <shrek@altlinux.ru> 1.0.2-alt3
- fixed libfwcompiler

* Mon May 10 2004 ALT QA Team Robot <qa-robot@altlinux.org> 1.0.2-alt2.1
- Rebuilt with openssl-0.9.7d.

* Wed Jan 28 2004 Valery Inozemtsev <shrek@altlinux.ru> 1.0.2-alt2
- rebuild

* Sun Dec 14 2003 Valery Inozemtsev <shrek@altlinux.ru> 1.0.2-alt1
- New version

* Mon Nov 3 2003 Valery Inozemtsev <shrek@altlinux.ru> 1.0.1-alt1
- New version

* Sun Jul 13 2003 Valery Inozemtsev <shrek@altlinux.ru> 1.0.0-alt0
- initial ALTLinux Sisyphus build
